You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@qpid.apache.org by ac...@apache.org on 2009/01/30 15:34:48 UTC

svn commit: r739295 - /qpid/trunk/qpid/cpp/src/tests/python_tests

Author: aconway
Date: Fri Jan 30 14:34:48 2009
New Revision: 739295

URL: http://svn.apache.org/viewvc?rev=739295&view=rev
Log:
Correct mistake from previous commit where missing python dir causes an error rather than a warning.

Modified:
    qpid/trunk/qpid/cpp/src/tests/python_tests

Modified: qpid/trunk/qpid/cpp/src/tests/python_tests
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/python_tests?rev=739295&r1=739294&r2=739295&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/python_tests (original)
+++ qpid/trunk/qpid/cpp/src/tests/python_tests Fri Jan 30 14:34:48 2009
@@ -26,7 +26,9 @@
 SPEC=${SPEC:-0-10-errata}
 FAILING=${FAILING:-cpp_failing_0-10.txt}
 
-test -d $QPID_PYTHON_DIR || { echo "WARNING: No python tests. $QPID_PYTHON_DIR not found."; exit 1; }
-cd $QPID_PYTHON_DIR
-./run-tests --skip-self-test -v -s $SPEC -I $FAILING -b localhost:$QPID_PORT $PYTHON_TESTS || { echo "FAIL python tests for $SPEC"; exit 1; }
-
+if test -d $QPID_PYTHON_DIR; then 
+    cd $QPID_PYTHON_DIR
+    ./run-tests --skip-self-test -v -s $SPEC -I $FAILING -b localhost:$QPID_PORT $PYTHON_TESTS || { echo "FAIL python tests for $SPEC"; exit 1; }
+else
+    echo "WARNING: No python tests. $QPID_PYTHON_DIR not found."
+fi



---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:commits-subscribe@qpid.apache.org